//
//  AccessoryDetailView.swift
//  Zockerhoehle
//
//  Created by Julian-Steffen Müller on 12.07.19.
//  Copyright © 2019 Julian-Steffen Müller. All rights reserved.
//

import SwiftUI

struct AccessoryDetailView : View {
    @ObservedObject var accessory : Accessory
    
    var body: some View {
        Form {
            TextField("Accessory name", text: $accessory.name)
            
            
            Toggle(isOn: $accessory.inWishlist, label: {
                Text("In Wunschliste")
            })
        }.navigationBarTitle(Text("\(accessory.name)"), displayMode: .automatic)
    }
}
